summaryrefslogtreecommitdiff
path: root/Platform
diff options
context:
space:
mode:
authorGary Lin <glin@suse.com>2019-07-03 11:49:14 +0800
committerMichael D Kinney <michael.d.kinney@intel.com>2019-07-12 17:29:38 -0700
commit20dd41e2bb4edaf8576e469fed514128274b89fe (patch)
treebf78c07000ea58fe190249352f7423fb1937485c /Platform
parent371f0ae7dd7fcfdbf45820ea1e9aabd83d8658cf (diff)
Vlv2TbltDevicePkg/Build_IFWI.sh: Check the WORKSPACE env variable
Check WORKSPACE before running the script and notify the user to export the variable if the variable doesn't exist Cc: Zailiang Sun <zailiang.sun@intel.com> Cc: Yi Qian <yi.qian@intel.com> Cc: Michael D Kinney <michael.d.kinney@intel.com> Signed-off-by: Gary Lin <glin@suse.com> Reviewed-by: Zailiang Sun <zailiang.sun@intel.com> Reviewed-by: Michael D Kinney <michael.d.kinney@intel.com>
Diffstat (limited to 'Platform')
-rwxr-xr-xPlatform/Intel/Vlv2TbltDevicePkg/Build_IFWI.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/Platform/Intel/Vlv2TbltDevicePkg/Build_IFWI.sh b/Platform/Intel/Vlv2TbltDevicePkg/Build_IFWI.sh
index f8954cc9..422e90ca 100755
--- a/Platform/Intel/Vlv2TbltDevicePkg/Build_IFWI.sh
+++ b/Platform/Intel/Vlv2TbltDevicePkg/Build_IFWI.sh
@@ -6,7 +6,7 @@ function Usage ( ) {
echo
echo "Script to build BIOS firmware and stitch the entire IFWI."
echo
- echo "Usage: Build_IFWI.bat [options] PlatformType BuildTarget "
+ echo "Usage: Build_IFWI.sh [options] PlatformType BuildTarget "
echo
echo
echo " /yL [option] : Enable SPI lock"
@@ -28,6 +28,18 @@ Stitch_Flags=
Arch=X64
PLATFORM_PACKAGE=Vlv2TbltDevicePkg
+## Check whether WORKSPACE is set or not
+if [[ -z "$WORKSPACE" ]]; then
+ echo "Please export WORKSPACE before running Build_IFWI.sh"
+ echo "See the details in Readme.md"
+ exit 1
+fi
+
+## Create $WORKSPACE/Conf if necessary
+if [ ! -d $WORKSPACE/Conf ]; then
+ mkdir $WORKSPACE/Conf
+fi
+
## Parse Optional arguments
if [ "$1" == "/?" ]; then
Usage